2

I read this post, I read this post. I installed Qgis 2.18.7 (package maintained by William Kyngesburye), which contains GASS 7.0.4 with disable SIP.

I executed what the post says, but in the "Grass7Utils.py" file the specified string was correct. So I did not get any results enter image description here

Grass7 works normally while the Qgis plug-in does not fire and returns the following error:

GRASS init error: GRASS was not found in '/Users/Shared/unix/grass-qgis-mtlion/grass-7.0.4' (GISBASE), provider and plugin will not work.

Do you have any suggestions for this problem?

enter image description here

1

Try changing your Custom paths in Grass Options>General to:

/Applications/QGIS.app/Contents/MacOS/grass7

  • After setting "/Applications/QGIS.app/Contents/MacOS/grass7 " need to install the package "Active States TclTk 8.5.7 (only for TclTk NVIZ in GRASS 6)" and grass 6.4 to grassmac.wikidot.com/frameworks, now grass7 working in Qgis 2.18.7 ;) – Antonio May 26 '17 at 17:24
0

I have found the solution to the problem, in order to use grass on Qgis 2.18.7,also need to install the Active States TclTk 8.5.7 (only for TclTk NVIZ in GRASS 6) and Grass 6.4 to the link this page, The post can be considered resolved

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.